Please select Into the mobile phone version | Continue to access the computer ver.
Latest DJI Go 4 App P4P+ controller
1808 7 2020-10-28
Uploading and Loding Picture ...(0/1)
o(^-^)o
Raimond Kollman
lvl.4
Flight distance : 2173517 ft
Netherlands
Offline

Hello,

At the DJI download site I checked the DJI Go 4 App version. It is 4.3.36 but my Phantom 4 Pro Plus (+) controller still has an older version.
I downloaded the APK but it didn't install.

What is the latest version of the DJI Go 4 App for the Phantom 4 Pro Plus controller?

Thanks for your answer!

Raimond
2020-10-28
Use props
DJI Paladin
Super Moderator
Flight distance : 318 ft

Offline

Hello Raimond Kollman, thank you for reaching us out. My apologies this has caused you. The current version for the DJI Go 4 app is 4.3.36 for the Android platform and requires Android 5.0 or later then for iOS it is 4.3.37 and requires iOS 10.0.0 or later. Ensure that you are using the recommended device for Phantom 4 pro + and the DJI Go 4 app. You can refer to the this link and find APP/LIVE VIEW portion to see the recommended devices: https://www.dji.com/phantom-4-pro/info#downloads

You can uninstall the DJI Go 4 app that you have and reboot your mobile device. Once rebooted you can get and install from the respected application store.

Meanwhile regarding to the remote controller. Are you pertaining to the firmware version? The current firmware version for the remote controller is : V 1.3.6.0.

Please update me with the result to further assist you. Thank you.
2020-10-28
Use props
Raimond Kollman
lvl.4
Flight distance : 2173517 ft
Netherlands
Offline

DJI Paladin Posted at 10-28 06:56
Hello Raimond Kollman, thank you for reaching us out. My apologies this has caused you. The current version for the DJI Go 4 app is 4.3.36 for the Android platform and requires Android 5.0 or later then for iOS it is 4.3.37 and requires iOS 10.0.0 or later. Ensure that you are using the recommended device for Phantom 4 pro + and the DJI Go 4 app. You can refer to the this link and find APP/LIVE VIEW portion to see the recommended devices: https://www.dji.com/phantom-4-pro/info#downloads

You can uninstall the DJI Go 4 app that you have and reboot your mobile device. Once rebooted you can get and install from the respected application store.

Thanks for your answer.

It's not the app on my mobile device which I try to upgrade. It's the one installed on the DJI Remote itself. The Phantom 4 Pro Plus has a remote controller with a built-in screen.
I don't see the DJI Go 4 App installed so I also don't have the option to delete it.

Can you help me where I can find this "delete" button on the controller itself?
2020-10-28
Use props
Raimond Kollman
lvl.4
Flight distance : 2173517 ft
Netherlands
Offline

I reinstalled the firmware on the controller, but still no new DJI Go 4 app :-(
2020-10-30
Use props
DJI Paladin
Super Moderator
Flight distance : 318 ft

Offline

Raimond Kollman Posted at 10-30 08:02
I reinstalled the firmware on the controller, but still no new DJI Go 4 app :-(

Hello Ralmond, my apologies for the late response. May I ask if you can get a photo of the remote controller that doesn't have DJI Go 4 app? May I know if what is the DJI app does it have and if you tried to see if you can use the Phantom 4 pro plus with the current app installed in the remote controller? Thank you and I will be waiting for your response.
2020-11-4
Use props
irfansafdarjang
lvl.2
Flight distance : 17900 ft
Offline

DJI Paladin Posted at 10-28 06:56
Hello Raimond Kollman, thank you for reaching us out. My apologies this has caused you. The current version for the DJI Go 4 app is 4.3.36 for the Android platform and requires Android 5.0 or later then for iOS it is 4.3.37 and requires iOS 10.0.0 or later. Ensure that you are using the recommended device for Phantom 4 pro + and the DJI Go 4 app. You can refer to the this link and find APP/LIVE VIEW portion to see the recommended devices: https://www.dji.com/phantom-4-pro/info#downloads

You can uninstall the DJI Go 4 app that you have and reboot your mobile device. Once rebooted you can get and install from the respected application store.

I have Phantom 4 pro plus V2.0
I tested it in open area but problem still exist ...
if I select manual 5.8 frequency then aircraft connected within 700meeters.
when i select the dual band it will disconnect after 20 to 30 feet..
I had trying to reinstall App, also update firmware from SD card (Firmware 01.00.04.00)..but after updating of firmware RC show me the same version 0.4.4.2. and problem still there.
I had test my drone with another RC and its working perfectly.
Kindly let me know if you have any option to rollback RC??  
look at my software(v0.4.4.2) and app Version is it the right version in my RC?
IMG_20201023_130103.jpg
IMG_20201023_130103.jpg
2020-11-5
Use props
Raimond Kollman
lvl.4
Flight distance : 2173517 ft
Netherlands
Offline

DJI Paladin Posted at 11-4 09:25
Hello Ralmond, my apologies for the late response. May I ask if you can get a photo of the remote controller that doesn't have DJI Go 4 app? May I know if what is the DJI app does it have and if you tried to see if you can use the Phantom 4 pro plus with the current app installed in the remote controller? Thank you and I will be waiting for your response.

Hi, it's the GL300E controller. Here is a picture taken from the version-overview in the DJI Go 4 App installed on this controller



And this is the bottom of the controller so you can see it's the GL300E:

2020-11-7
Use props
Gladsaxe
lvl.3
Flight distance : 19436 ft
Denmark
Offline

Raimond Kollman Posted at 2020-11-7 14:08
Hi, it's the GL300E controller. Here is a picture taken from the version-overview in the DJI Go 4 App installed on this controller

[view_image]

I have same problem with Phantom 4 pro plus V2.0. No Go app visable. When I go to running app, it is there though?


And it is not possible to update and have this version installed on GL300K


Any solutions here?
Need some firmware update, as it is impossible to get Litchi to link with drone from the controller.
Thanks
Bo/Gladsaxe
2021-6-16
Use props
Advanced
You need to log in before you can reply Login | Register now

Credit Rules